> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yehangshe.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Dealer Heatmap latest completed 5-minute signed Top-node snapshot



## OpenAPI

````yaml https://api.yehangshe.com/v1/openapi.json get /v1/derived/heatmap/{ticker}/snapshot
openapi: 3.1.0
info:
  title: GEX Heatmap Data API
  version: 0.4.0-operation-ids
  description: >-
    Dealer MVP scope. 数据集端点 paths 由 dataset registry 派生；Dealer GEX / Heatmap
    数据集随 P2 注册后自动出现。
servers:
  - url: https://api.yehangshe.com
    description: production
security: []
paths:
  /v1/derived/heatmap/{ticker}/snapshot:
    get:
      summary: Dealer Heatmap latest completed 5-minute signed Top-node snapshot
      operationId: derived.dealer_heatmap_snapshot
      parameters:
        - name: ticker
          in: path
          required: true
          schema:
            type: string
            pattern: ^[A-Z]{1,5}$
      responses:
        '200':
          description: object payload
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - data
                  - _meta
                properties:
                  data:
                    type: object
                    additionalProperties: false
                    required:
                      - ticker
                      - generated_at
                      - session_date_et
                      - spot_usd
                      - expirations
                      - cells
                    properties:
                      ticker:
                        type: string
                      generated_at:
                        type: string
                        format: date-time
                      session_date_et:
                        type: string
                        format: date
                      spot_usd:
                        type:
                          - number
                          - 'null'
                      expirations:
                        type: array
                        items:
                          type: string
                          format: date
                      cells:
                        type: array
                        description: >-
                          For each expiration: at most ten strongest positive
                          and ten strongest negative net GEX nodes; zero values
                          are omitted.
                        items:
                          type: object
                          additionalProperties: false
                          required:
                            - strike_usd
                            - expiration
                            - net_dealer_gex_usd
                          properties:
                            strike_usd:
                              type: number
                            expiration:
                              type: string
                              format: date
                            net_dealer_gex_usd:
                              type: number
                  _meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '402':
          $ref: '#/components/responses/SubscriptionPaused'
        '403':
          $ref: '#/components/responses/ScopeInsufficient'
        '429':
          $ref: '#/components/responses/RateLimited'
      security:
        - bearerAuth: []
components:
  schemas:
    ResponseMeta:
      type: object
      additionalProperties: false
      required:
        - request_id
        - cache_hit
        - data_freshness_seconds
        - truncated
      properties:
        request_id:
          type:
            - string
            - 'null'
        cache_hit:
          type: boolean
        data_freshness_seconds:
          type:
            - integer
            - 'null'
          minimum: 0
        truncated:
          const: false
        notice:
          type: string
        rate_limit_remaining:
          type: integer
          minimum: 0
        quota_remaining_pct:
          type: number
          minimum: 0
          maximum: 100
        data_source:
          type: string
          enum:
            - internal
    ErrorEnvelope:
      type: object
      additionalProperties: false
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - tags
            - message
            - docs_url
            - request_id
          properties:
            code:
              type: string
            tags:
              type: array
              items:
                type: string
            message:
              type: string
            docs_url:
              type: string
              format: uri
            request_id:
              type:
                - string
                - 'null'
            hint:
              type: string
  responses:
    ValidationError:
      description: validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    AuthenticationError:
      description: authentication error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    SubscriptionPaused:
      description: subscription paused
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    ScopeInsufficient:
      description: scope insufficient
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
    RateLimited:
      description: rate limited or quota exhausted
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorEnvelope'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````